
SITETB - Bug #378

Divergencia meses de tto

02/05/2013 06:10 PM - Maurício Dos Santos

Status: Closed Start date: 02/05/2013

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente:    

Description

History

#1 - 02/05/2013 06:10 PM - Maurício Dos Santos

- Assignee set to Maurício Dos Santos

- Target version set to Versão atual

#2 - 02/26/2013 10:06 AM - Maurício Dos Santos

- Status changed from New to Resolved

No metodo startIndividualizedRegimen() da classe StartTreatmentIndHome, o sistema estava somando a quantidade de meses de alguns

medicamentos para definir o tempo em meses de fase continua e intensiva... Veja a alteração abaixo:

for (PrescribedMedicine pm: medicinesIntPhase) {

            if (pm.getMonths() > monthsIntPhase)

                monthsIntPhase += pm.getMonths();

        }

 

for (PrescribedMedicine pm: medicinesContPhase) {

            if (pm.getMonths() > monthsContPhase)

                monthsContPhase += pm.getMonths();

        }

 

for (PrescribedMedicine pm: medicinesIntPhase) {

            if (pm.getMonths() > monthsIntPhase)

                monthsIntPhase = pm.getMonths();

        }

 

for (PrescribedMedicine pm: medicinesContPhase) {

            if (pm.getMonths() > monthsContPhase)

                monthsContPhase = pm.getMonths();

        }
#3 - 03/01/2013 08:38 PM - Maurício Dos Santos

- Status changed from Resolved to Closed

Files

Divergencia em meses de tto individualizado.doc 83 KB 02/05/2013 Maurício Dos Santos
